package com.tax.token.service.websocket.bean;


import lombok.ToString;

import java.io.Serializable;

@ToString
public class SocketSendMsg<T>  implements Serializable {
    public SocketSendMsg() {
        this.code = 0;
    }

    private int code;
    private String errMsg;
    private T data;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getErrMsg() {
        return errMsg;
    }

    public void setErrMsg(String errMsg) {
        this.errMsg = errMsg;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }
}
